## Autogenerated by Scribe. DO NOT MODIFY.

name: 'Event Types'
description: "Gestion des types d'événements"
endpoints:
  -
    httpMethods:
      - GET
    uri: api/eventTypes
    metadata:
      groupName: 'Event Types'
      groupDescription: "Gestion des types d'événements"
      subgroup: ''
      subgroupDescription: ''
      title: "Retourne la liste de tous les types d'événements"
      description: ''
      authenticated: true
      custom: []
    headers:
      Authorization: 'Bearer {YOUR_AUTH_KEY}'
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses:
      -
        status: 401
        content: '{"message":"Unauthenticated."}'
        headers:
          cache-control: 'no-cache, private'
          content-type: application/json
          vary: Origin
        description: null
        custom: []
    responseFields: []
    auth:
      - headers
      - Authorization
      - 'Bearer evVaZ6kd84c63hDfP15bEga'
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - GET
    uri: 'api/eventTypes/{id}'
    metadata:
      groupName: 'Event Types'
      groupDescription: "Gestion des types d'événements"
      subgroup: ''
      subgroupDescription: ''
      title: "Affiche un type d'événement"
      description: ''
      authenticated: true
      custom: []
    headers:
      Authorization: 'Bearer {YOUR_AUTH_KEY}'
      Content-Type: application/json
      Accept: application/json
    urlParameters:
      id:
        name: id
        description: 'The ID of the eventType.'
        required: true
        example: 1
        type: integer
        custom: []
    cleanUrlParameters:
      id: 1
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses:
      -
        status: 401
        content: '{"message":"Unauthenticated."}'
        headers:
          cache-control: 'no-cache, private'
          content-type: application/json
          vary: Origin
        description: null
        custom: []
    responseFields: []
    auth:
      - headers
      - Authorization
      - 'Bearer aka8cPg3bd66Z5heEV4fD1v'
    controller: null
    method: null
    route: null
    custom: []
